"use strict";
const common_vendor = require("../../../common/vendor.js");
const sheep_index = require("../../index.js");
require("../../api/index.js");
require("../../api/distri/score.js");
require("../../request/index.js");
require("../../config/index.js");
require("../../store/index.js");
require("../../store/app.js");
require("../../api/promotion/diy.js");
require("../../platform/index.js");
require("../../platform/provider/wechat/index.js");
require("../../platform/provider/wechat/miniProgram.js");
require("../../api/member/auth.js");
require("../../api/member/social.js");
require("../../api/member/user.js");
require("../../platform/provider/apple/index.js");
require("../../platform/share.js");
require("../../router/index.js");
require("../../hooks/useModal.js");
require("../../helper/index.js");
require("../../helper/test.js");
require("../../helper/digit.js");
require("../../api/member/signin.js");
require("../../helper/throttle.js");
require("../../url/index.js");
require("../../platform/pay.js");
require("../../api/pay/order.js");
require("../../store/user.js");
require("../../store/cart.js");
require("../../api/trade/cart.js");
require("../../api/pay/wallet.js");
require("../../api/trade/order.js");
require("../../api/promotion/coupon.js");
require("../../store/sys.js");
require("../../store/modal.js");
require("../../api/distri/share.js");
require("../../api/distri/team.js");
require("../../api/infra/file.js");
require("../../api/member/address.js");
require("../../api/member/point.js");
require("../../api/migration/app.js");
require("../../api/migration/chat.js");
require("../../api/migration/index.js");
require("../../api/migration/third.js");
require("../../api/pay/channel.js");
require("../../api/product/category.js");
require("../../api/product/comment.js");
require("../../api/product/favorite.js");
require("../../api/product/history.js");
require("../../api/product/spu.js");
require("../../api/promotion/activity.js");
require("../../api/promotion/article.js");
require("../../api/promotion/bargain.js");
require("../../api/promotion/combination.js");
require("../../api/promotion/rewardActivity.js");
require("../../api/promotion/seckill.js");
require("../../api/system/area.js");
require("../../api/system/voice.js");
require("../../api/trade/afterSale.js");
require("../../api/trade/brokerage.js");
require("../../api/trade/config.js");
require("../../api/trade/delivery.js");
require("../../config/zIndex.js");
const _sfc_main = {
  __name: "su-coupon",
  props: {
    size: {
      type: String,
      default: "lg"
    },
    textColor: {
      type: String,
      default: "#FF6000"
    },
    background: {
      type: String,
      default: "#FFC19C"
    },
    btnBg: {
      type: String,
      default: "#fff"
    },
    btnTextColor: {
      type: String,
      default: "#FF6000"
    },
    state: {
      type: Number,
      default: 0
    },
    couponId: {
      type: Number,
      default: 0
    },
    title: {
      type: String,
      default: "这是优惠券"
    },
    value: {
      type: [Number, String],
      default: 50
    },
    sellBy: {
      type: String,
      default: "2019.11.25至2019.12.25"
    },
    surplus: {
      type: [Number, String],
      default: 0
    },
    type: {
      type: String,
      default: ""
    }
  },
  setup(__props) {
    common_vendor.useCssVars((_ctx) => ({
      "c1c89bcc": __props.textColor,
      "66b278d6": __props.btnTextColor,
      "babd14b6": __props.btnBg
    }));
    const state = common_vendor.reactive({
      stateMap: {
        0: "立即领取",
        1: "去使用"
      }
    });
    const props = __props;
    const cardStyle = common_vendor.computed(() => {
      return {
        background: props.background
      };
    });
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: props.size === "xs"
      }, props.size === "xs" ? {
        b: common_vendor.t(__props.type === "reduce" ? __props.value : Number(__props.value)),
        c: common_vendor.t(__props.type === "reduce" ? "元" : "折"),
        d: common_vendor.t(props.title),
        e: common_vendor.t(state.stateMap[props.state]),
        f: common_vendor.s(cardStyle.value),
        g: common_vendor.o(($event) => common_vendor.unref(sheep_index.sheep).$router.go("/pages/coupon/detail", {
          id: __props.couponId
        }))
      } : {}, {
        h: props.size === "md"
      }, props.size === "md" ? common_vendor.e({
        i: common_vendor.t(__props.type === "reduce" ? __props.value : Number(__props.value)),
        j: common_vendor.t(__props.type === "reduce" ? "元" : "折"),
        k: common_vendor.t(props.title),
        l: props.surplus
      }, props.surplus ? {
        m: common_vendor.t(props.surplus)
      } : {}, {
        n: common_vendor.t(state.stateMap[props.state]),
        o: common_vendor.s(cardStyle.value),
        p: common_vendor.o(($event) => common_vendor.unref(sheep_index.sheep).$router.go("/pages/coupon/detail", {
          id: __props.couponId
        }))
      }) : {}, {
        q: props.size === "lg"
      }, props.size === "lg" ? common_vendor.e({
        r: common_vendor.t(__props.type === "reduce" ? __props.value : Number(__props.value)),
        s: common_vendor.t(__props.type === "reduce" ? "元" : "折"),
        t: common_vendor.t(props.title),
        v: common_vendor.t(props.sellBy),
        w: common_vendor.t(state.stateMap[props.state]),
        x: props.surplus
      }, props.surplus ? {
        y: common_vendor.t(props.surplus)
      } : {}, {
        z: common_vendor.s(cardStyle.value),
        A: common_vendor.o(($event) => common_vendor.unref(sheep_index.sheep).$router.go("/pages/coupon/detail", {
          id: __props.couponId
        }))
      }) : {}, {
        B: common_vendor.s(_ctx.__cssVars())
      });
    };
  }
};
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-34099896"], ["__file", "D:/zx/mall-front-app/sheep/ui/su-coupon/su-coupon.vue"]]);
wx.createComponent(Component);
